95a016e87923 default tip

Move bounce script into this repo
[view raw] [browse files]
author Steve Losh <steve@stevelosh.com>
date Sat, 18 Jan 2020 14:15:03 -0500
parents 55ad249befd2
children (none)
branches/tags default tip
files bounce.sh deploy.sh

Changes

--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bounce.sh	Sat Jan 18 14:15:03 2020 -0500
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+
+set -euo pipefail
+
+echo "boop"
+pass show -c servers/hg/sjl
+ssh -t hsl -- sudo systemctl restart hg
--- a/deploy.sh	Sat Jan 18 14:13:06 2020 -0500
+++ b/deploy.sh	Sat Jan 18 14:15:03 2020 -0500
@@ -1,5 +1,6 @@
 #!/usr/bin/env bash
 
 set -euo pipefail
-hg push server
-bouncehg
+
+hg push server || true
+./bounce.sh